/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\leviathan artifacts\watercityvendors\SBPotions.cs
Lines of code: 48
***********************************************************/


using System;
using System.Collections;
using Server.Items;

namespace Server.Mobiles
{
	public class SBPotions : SBInfo
	{
		private ArrayList m_BuyInfo = new InternalBuyInfo();
		private IShopSellInfo m_SellInfo = new InternalSellInfo();

		public SBPotions()
		{
		}

		public override IShopSellInfo SellInfo { get { return m_SellInfo; } }
		public override ArrayList BuyInfo { get { return m_BuyInfo; } }

		public class InternalBuyInfo : ArrayList
		{
			public InternalBuyInfo()
			{  
				Add( new GenericBuyInfo( typeof( RefreshPotion ), 7, 20, 0xF0B, 0 ) );
				Add( new GenericBuyInfo( typeof( AgilityPotion ), 7, 20, 0xF08, 0 ) );
				Add( new GenericBuyInfo( typeof( NightSightPotion ), 7, 20, 0xF06, 0 ) );
				Add( new GenericBuyInfo( typeof( LesserHealPotion ), 7, 20, 0xF0C, 0 ) );
				Add( new GenericBuyInfo( typeof( StrengthPotion ), 7, 20, 0xF09, 0 ) );
				Add( new GenericBuyInfo( typeof( LesserPoisonPotion ), 7, 20, 0xF0A, 0 ) );
 				Add( new GenericBuyInfo( typeof( LesserCurePotion ), 7, 20, 0xF07, 0 ) );
				Add( new GenericBuyInfo( typeof( LesserExplosionPotion ), 10, 20, 0xF0D, 0 ) );
				
				Add( new GenericBuyInfo( typeof( HealPotion ), 14, 20, 0xF0C, 0 ) );
				Add( new GenericBuyInfo( typeof( PoisonPotion ), 14, 20, 0xF0A, 0 ) );
 				Add( new GenericBuyInfo( typeof( CurePotion ), 14, 20, 0xF07, 0 ) );
				Add( new GenericBuyInfo( typeof( ExplosionPotion ), 14, 20, 0xF0D, 0 ) );
				
				Add( new GenericBuyInfo( typeof( GreaterHealPotion ), 28, 20, 0xF0C, 0 ) );
				Add( new GenericBuyInfo( typeof( GreaterPoisonPotion ), 28, 20, 0xF0A, 0 ) );
 				Add( new GenericBuyInfo( typeof( GreaterCurePotion ), 28, 20, 0xF07, 0 ) );
				Add( new GenericBuyInfo( typeof( GreaterExplosionPotion ), 28, 20, 0xF0D, 0 ) );
				Add( new GenericBuyInfo( typeof( GreaterStrengthPotion ), 28, 20, 0xF09, 0 ) );
				Add( new GenericBuyInfo( typeof( GreaterAgilityPotion ), 28, 20, 0xF08, 0 ) );
				Add( new GenericBuyInfo( typeof( TotalRefreshPotion ), 28, 20, 0xF0B, 0 ) );
				
				Add( new GenericBuyInfo( typeof( DeadlyPoisonPotion ), 42, 20, 0xF0A, 0 ) );
				
				Add( new GenericBuyInfo( typeof( MortarPestle ), 4, 20, 0xE9B, 0 ) );

				Add( new GenericBuyInfo( typeof( Bottle ), 2, 20, 0xF0E, 0 ) ); 
				Add( new GenericBuyInfo( typeof( HeatingStand ), 1, 20, 0x1849, 0 ) ); 

				//Add( new GenericBuyInfo( "1041060", typeof( HairDye ), 37, 10, 0xEFF, 0 ) );

				//Add( new GenericBuyInfo( typeof( HeatingStand ), 2, 100, 0x1849, 0 ) ); // This is on OSI :-P
			}
		}

		public class InternalSellInfo : GenericSellInfo
		{
		}
	}
}
